summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarius Brehler <marbre@linux.sungazer.de>2017-02-14 11:04:09 +0100
committerPatrice Clement <monsieurp@gentoo.org>2017-02-14 22:18:37 +0100
commite141cd947c45933b93221be10b739c15f6bbfc8e (patch)
tree3a2ea1db5874486b86ec8adba98eccf3e6f4b489 /dev-python/jupyter_console
parentdev-python/notebook: drop old. (diff)
downloadgentoo-e141cd947c45933b93221be10b739c15f6bbfc8e.tar.gz
gentoo-e141cd947c45933b93221be10b739c15f6bbfc8e.tar.bz2
gentoo-e141cd947c45933b93221be10b739c15f6bbfc8e.zip
dev-python/jupyter_console: version bump to 5.1.0.
Package-Manager: portage-2.3.3 Closes: https://github.com/gentoo/gentoo/pull/3950
Diffstat (limited to 'dev-python/jupyter_console')
-rw-r--r--dev-python/jupyter_console/Manifest1
-rw-r--r--dev-python/jupyter_console/jupyter_console-5.1.0.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/dev-python/jupyter_console/Manifest b/dev-python/jupyter_console/Manifest
index d7fd0a16ea6..98445bbe014 100644
--- a/dev-python/jupyter_console/Manifest
+++ b/dev-python/jupyter_console/Manifest
@@ -1,3 +1,4 @@
DIST jupyter_console-4.0.3.tar.gz 22090 SHA256 555be6963a8f6431fbe1d424c7ffefee90824758058e4c9a2ab3aa045948eb85 SHA512 da9c311d881bbf61fbcea3c79e4dbdbe00f0f713772d0da4d30e0dec36ff5a6c5cbff3b996770f532c1e9c61ade1b1bf7a6f1ed28188ffd6900f6cc2ce7c0665 WHIRLPOOL 37139a87b182b9100284766ffb6e0b4c4e44b9bc2261a2d466920b0a23cf62d55f6a68cfb77da67a2eb3c316582fa7afaddcce69074b7597122e1c858c9a6c26
DIST jupyter_console-4.1.1.tar.gz 23391 SHA256 d754cfd18d258fa9e7dde39a36e589c4a7241075b5d0f420691fa3d50e4c4ae3 SHA512 40894f41b85c1b823c3d75f33427728717b75e800a08c8a6b17b1c6ca7a6543b2aadc72d7ff131a7633252ac01bb0b0142025d7a53c3f3b7f8d189e6ff14216e WHIRLPOOL 724a06b5f0bba3a3bdd14d319df09ecf0b2ce3c4b167fce20cc498737e1bbb27082911dd8c5b4027bd56e13eff523b18abb112e308d7ce8e59d098b3d9257d80
DIST jupyter_console-5.0.0.tar.gz 26119 SHA256 7ddfc8cc49921b0ed852500928922e637f9188358c94b5c76339a5a8f9ac4c11 SHA512 e31afa5960200feea125b939124b108a0b9dcc914fe2e21b86cd1dc409789cb25a72918a7eb5fcc7bd35c26bfabb71b6426a2cb7b45a8cab58f1d8e4b9bc89de WHIRLPOOL 9b5fff77febfc54c376f38700cd110a8cfd5e990c20827e4a985322a3a94b4ed961294606a9e0e1ed624c5883410a3d33fcc0bb98fb5c72b7b6851d2f177b878
+DIST jupyter_console-5.1.0.tar.gz 26661 SHA256 d0b4ae4dfe070be1e9d5690fa819328acffb5f37a8ef3baa1c7e3b77b443cfd7 SHA512 208a31886eb58c64541048e1f7ed75fccc888d34177f86dfaf10fb7dcd603130a8b3ecbe23cf4d80a75287b847128425f853715c494d2a7e4b4eed8a31058b5c WHIRLPOOL d41ffe6ba592ea5952a0094f7396f12c60f4348fa71eed705a1d445b446b2261094a8cd34bf3c0996bc1db6d7792275ee3eb1c43444649f33318a56f4a0b0b22
diff --git a/dev-python/jupyter_console/jupyter_console-5.1.0.ebuild b/dev-python/jupyter_console/jupyter_console-5.1.0.ebuild
new file mode 100644
index 00000000000..93f41db80e4
--- /dev/null
+++ b/dev-python/jupyter_console/jupyter_console-5.1.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="A terminal-based console frontend for Jupyter kernels"
+HOMEPAGE="http://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/jupyter_client[${PYTHON_USEDEP}]
+ >=dev-python/prompt_toolkit-1.0.0[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' 'python2*')
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/nose-0.10.1[${PYTHON_USEDEP}]
+ )
+ "
+
+python_prepare_all() {
+ # Prevent un-needed download during build
+ if use doc; then
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/conf.py || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ emake -C docs html
+ HTML_DOCS=( "${BUILD_DIR}"/docs/build/html/. )
+ fi
+}
+
+python_test() {
+ nosetests --with-coverage --cover-package=jupyter_console jupyter_console || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+}